//
//  ViewController.h
//  BeerBox
//
//  Created by Lukas on 24/07/14.
//  Copyright (c) 2014 LBSFilm. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "SerialGATT.h"

@interface ViewController : UIViewController<BTSmartSensorDelegate, UITextFieldDelegate>

@property (strong, nonatomic) SerialGATT *btControl;
@property (strong, nonatomic) CBPeripheral *box;

- (IBAction)connect:(id)sender;
- (IBAction)sendMsgToArduino:(id)sender;
- (IBAction)checkCount:(id)sender;

- (IBAction)removeUser:(id)sender;
- (IBAction)listUsers:(id)sender;


- (IBAction)revokeRFID:(id)sender;
- (IBAction)revokeFinger:(id)sender;

@property (weak, nonatomic) IBOutlet UILabel *status;
@property (weak, nonatomic) IBOutlet UITextField *nameEntry;

@end
